# TdApi.InlineKeyboardButtonTypeCallback

Package it.ernytech.tdlib

## Class TdApi.InlineKeyboardButtonTypeCallback

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InlineKeyboardButtonType
    - - it.ernytech.tdlib.TdApi.InlineKeyboardButtonTypeCallback

Enclosing class:
  TdApi

    public static class TdApi.InlineKeyboardButtonTypeCallback
    extends TdApi.InlineKeyboardButtonType

A button that sends a special callback query to a bot.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`byte[]` `data` Data to be sent to the bot via a callback query.

### Constructor Summary

Constructors
`InlineKeyboardButtonTypeCallback()` Default constructor.
`InlineKeyboardButtonTypeCallback​(byte[] data)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### data

    public byte[] data

Data to be sent to the bot via a callback query.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InlineKeyboardButtonTypeCallback

    public InlineKeyboardButtonTypeCallback()

Default constructor.

#### InlineKeyboardButtonTypeCallback

    public InlineKeyboardButtonTypeCallback​(byte[] data)

Constructor for initialization of all fields.

Parameters:
  `data` - Data to be sent to the bot via a callback query.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR